LLVM: lldb::SBCompileUnit Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBCompileUnit Class Reference

`#include <SBCompileUnit.h>`

## Public Member Functions
| SBCompileUnit ()
| SBCompileUnit (const lldb::SBCompileUnit &rhs)
| ~SBCompileUnit ()
const lldb::SBCompileUnit & | operator= (const lldb::SBCompileUnit &rhs)
bool | IsValid () const
lldb::SBFileSpec | GetFileSpec () const
uint32_t | GetNumLineEntries () const
lldb::SBLineEntry | GetLineEntryAtIndex (uint32_t idx) const
uint32_t | FindLineEntryIndex (uint32_t start_idx, uint32_t line, lldb::SBFileSpec *inline_file_spec) const
uint32_t | FindLineEntryIndex (uint32_t start_idx, uint32_t line, lldb::SBFileSpec *inline_file_spec, bool exact) const
SBFileSpec | GetSupportFileAtIndex (uint32_t idx) const
uint32_t | GetNumSupportFiles () const
uint32_t | FindSupportFileIndex (uint32_t start_idx, const SBFileSpec &sb_file, bool full)
lldb::SBTypeList | GetTypes (uint32_t type_mask=lldb::eTypeClassAny)
lldb::LanguageType | GetLanguage ()
bool | operator== (const lldb::SBCompileUnit &rhs) const
bool | operator!= (const lldb::SBCompileUnit &rhs) const
bool | GetDescription (lldb::SBStream &description)

## Friends
class | SBAddress
class | SBFrame
class | SBSymbolContext
class | SBModule

## Detailed Description

Definition at line 18 of file SBCompileUnit.h.

## Constructor & Destructor Documentation

lldb::SBCompileUnit::SBCompileUnit | ( |  | ) |

lldb::SBCompileUnit::SBCompileUnit | ( | const lldb::SBCompileUnit & | rhs | ) |

lldb::SBCompileUnit::~SBCompileUnit | ( |  | ) |

## Member Function Documentation

uint32_t lldb::SBCompileUnit::FindLineEntryIndex | ( | uint32_t | start_idx,
|  | uint32_t | line,
|  | lldb::SBFileSpec * | inline_file_spec
| ) |  | const

uint32_t lldb::SBCompileUnit::FindLineEntryIndex | ( | uint32_t | start_idx,
|  | uint32_t | line,
|  | lldb::SBFileSpec * | inline_file_spec,
|  | bool | exact
| ) |  | const

uint32_t lldb::SBCompileUnit::FindSupportFileIndex | ( | uint32_t | start_idx,
|  | const SBFileSpec & | sb_file,
|  | bool | full
| ) |  |

bool lldb::SBCompileUnit::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBFileSpec lldb::SBCompileUnit::GetFileSpec | ( |  | ) | const

lldb::LanguageType lldb::SBCompileUnit::GetLanguage | ( |  | ) |

lldb::SBLineEntry lldb::SBCompileUnit::GetLineEntryAtIndex | ( | uint32_t | idx | ) | const

uint32_t lldb::SBCompileUnit::GetNumLineEntries | ( |  | ) | const

uint32_t lldb::SBCompileUnit::GetNumSupportFiles | ( |  | ) | const

SBFileSpec lldb::SBCompileUnit::GetSupportFileAtIndex | ( | uint32_t | idx | ) | const

lldb::SBTypeList lldb::SBCompileUnit::GetTypes | ( | uint32_t | type_mask = `lldb::eTypeClassAny` | ) |

Get all types matching type_mask from debug info in this compile unit.

Parameters

  [in] | type_mask | A bitfield that consists of one or more bits logically OR'ed together from the lldb::TypeClass enumeration. This allows you to request only structure types, or only class, struct and union types. Passing in lldb::eTypeClassAny will return all types found in the debug information for this compile unit.

Returns
  A list of types in this compile unit that match type_mask

bool lldb::SBCompileUnit::IsValid | ( |  | ) | const

bool lldb::SBCompileUnit::operator!= | ( | const lldb::SBCompileUnit & | rhs | ) | const

const lldb::SBCompileUnit& lldb::SBCompileUnit::operator= | ( | const lldb::SBCompileUnit & | rhs | ) |

bool lldb::SBCompileUnit::operator== | ( | const lldb::SBCompileUnit & | rhs | ) | const

## Friends And Related Function Documentation

friend class SBAddress
| friend

Definition at line 76 of file SBCompileUnit.h.

friend class SBFrame
| friend

Definition at line 77 of file SBCompileUnit.h.

friend class SBModule
| friend

Definition at line 79 of file SBCompileUnit.h.

friend class SBSymbolContext
| friend

Definition at line 78 of file SBCompileUnit.h.

The documentation for this class was generated from the following file:

- SBCompileUnit.h